Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Curve Data object

This object gives access to Curve-specific data in Blender.

Method Summary |
float | `getBevresol()` Get the Curve's bevel resolution value.
list | `getControlpoint(numcurve, numpoint)` Get the curve's control point value.
float | `getExt1()` Get the Curve's ext1 value.
float | `getExt2()` Get the Curve's ext2 value.
a list of 3 floats. | `getLoc()` Get the curve's location value.
int | `getMode()` Get the Curve mode value.
string | `getName()` Get the name of this Curve Data object.
int | `getPathlen()` Get this Curve's path length.
float | `getResolu()` Get the Curve's U-resolution value.
float | `getResolv()` Get the Curve's V-resolution value.
a list of 3 floats. | `getRot()` Get the curve's rotation value.
a list of 3 floats. | `getSize()` Get the curve's size value.
int | `getTotcol()` Get the number of materials linked to the Curve.
float | `getWidth()` Get the Curve's width value.
PyNone | `setBevresol(bevelresol)` Set the Curve's bevel resolution value.
PyNone | `setControlpoint(controlpoint)` Set the Curve's controlpoint value.
PyNone | `setExt1(ext1)` Set the Curve's ext1 value.
PyNone | `setExt2(ext2)` Set the Curve's ext2 value.
PyNone | `setLoc(location)` Set the curve's location value.
PyNone | `setMode(val)` Set the Curve mode value.
PyNone | `setName(name)` Set the name of this Curve Data object.
PyNone | `setPathlen(len)` Set this Curve's path length.
PyNone | `setResolu(resolu)` Set the Curve's U-resolution value.
PyNone | `setResolv(resolv)` Set the Curve's V-resolution value.
PyNone | `setRot(rotation)` Set the Curve's rotation value.
PyNone | `setSize(size)` Set the curve size value.
PyNone | `setTotcol(totcol)` Set the number of materials linked to the Curve.
PyNone | `setWidth(width)` Set the Curve's width value.

Class Variable Summary |
| `bevresol` - The Curve Data bevel resolution.
| `ext1` - The Curve Data extent 1(for bevels).
| `ext2` - The Curve Data extent2 (for bevels).
| `flag` - The Curve Data flag value; see function getFlag for the semantics.
| `loc` - The Curve Data location(from the center).
| `name` - The Curve Data name.
| `pathlen` - The Curve Data path length.
| `resolu` - The Curve Data U-resolution.
| `resolv` - The Curve Data V-resolution.
| `rot` - The Curve Data rotation(from the center).
| `size` - The Curve Data size(from the center).
| `totcol` - The Curve Data maximal number of linked materials.
| `width` - The Curve Data width.

Method Details |

getBevresol()

Get the Curve's bevel resolution value.

  Returns:

    float

getControlpoint(numcurve, numpoint)

Get the curve's control point value.

  Parameters:

    `numcurve`

    (type=int)

    `numpoint`

    (type=int)

  Returns:

    depends upon the curve's type.

    type bezier : a list of three coordinates

    type nurbs : a list of nine coordinates.

    (type=list)

getExt1()

Get the Curve's ext1 value.

  Returns:

    float

getExt2()

Get the Curve's ext2 value.

  Returns:

    float

getLoc()

Get the curve's location value.

  Returns:

    a list of 3 floats.

getMode()

Get the Curve mode value. The mode of the curve is a combination of 4 parameters. Bits 0,1,2 : "Back", "Front" and "3D". Bit 3 : "CurvePath" is set. Bit 4 : "CurveFollow" is set.

  Returns:

    int

getName()

Get the name of this Curve Data object.

  Returns:

    string

getPathlen()

Get this Curve's path length.

  Returns:

    the path length.

    (type=int)

getResolu()

Get the Curve's U-resolution value.

  Returns:

    float

getResolv()

Get the Curve's V-resolution value.

  Returns:

    float

getRot()

Get the curve's rotation value.

  Returns:

    a list of 3 floats.

getSize()

Get the curve's size value.

  Returns:

    a list of 3 floats.

getTotcol()

Get the number of materials linked to the Curve.

  Returns:

    number of materials linked.

    (type=int)

getWidth()

Get the Curve's width value.

  Returns:

    float

setBevresol(bevelresol)

Set the Curve's bevel resolution value.

  Parameters:

    `bevelresol` - The new Curve's bevel resolution value.

    (type=float)

  Returns:

    PyNone

setControlpoint(controlpoint)

Set the Curve's controlpoint value.

  Parameters:

    `controlpoint` - The new Curve's controlpoint value.

    see getControlpoint for the length of the list.

    (type=list)

  Returns:

    PyNone

setExt1(ext1)

Set the Curve's ext1 value.

  Parameters:

    `ext1` - The new Curve's ext1 value.

    (type=float)

  Returns:

    PyNone

setExt2(ext2)

Set the Curve's ext2 value.

  Parameters:

    `ext2` - The new Curve's ext2 value.

    (type=float)

  Returns:

    PyNone

setLoc(location)

Set the curve's location value.

  Parameters:

    `location` - The new Curve's location values.

    (type=list[3])

  Returns:

    PyNone

setMode(val)

Set the Curve mode value.

  Parameters:

    `val`

    (type=int @param val : The new Curve's mode value.)

  Returns:

    PyNone

setName(name)

Set the name of this Curve Data object.

  Parameters:

    `name` - The new name.

    (type=string)

  Returns:

    PyNone

setPathlen(len)

Set this Curve's path length.

  Parameters:

    `len` - the new curve's length.

    (type=int)

  Returns:

    PyNone

setResolu(resolu)

Set the Curve's U-resolution value.

  Parameters:

    `resolu` - The new Curve's U-resolution value.

    (type=float)

  Returns:

    PyNone

setResolv(resolv)

Set the Curve's V-resolution value.

  Parameters:

    `resolv` - The new Curve's V-resolution value.

    (type=float)

  Returns:

    PyNone

setRot(rotation)

Set the Curve's rotation value.

  Parameters:

    `rotation` - The new Curve's rotation values.

    (type=list[3])

  Returns:

    PyNone

setSize(size)

Set the curve size value.

  Parameters:

    `size` - The new Curve's size values.

    (type=list[3])

  Returns:

    PyNone

setTotcol(totcol)

Set the number of materials linked to the Curve.

  Parameters:

    `totcol` - number of materials linked.

    (type=int)

  Returns:

    PyNone

setWidth(width)

Set the Curve's width value.

  Parameters:

    `width` - The new Curve's width value.

    (type=float)

  Returns:

    PyNone

Class Variable Details |

bevresol The Curve Data bevel resolution.

ext1 The Curve Data extent 1(for bevels).

ext2 The Curve Data extent2 (for bevels).

flag The Curve Data flag value; see function getFlag for the semantics.

loc The Curve Data location(from the center).

name The Curve Data name.

pathlen The Curve Data path length.

resolu The Curve Data U-resolution.

resolv The Curve Data V-resolution.

rot The Curve Data rotation(from the center).

size The Curve Data size(from the center).

totcol The Curve Data maximal number of linked materials.

width The Curve Data width.

<<< Previous | Home | Next >>>
Class Curve | Up | Module Ipo